(function ($, window) {

	'use strict';

	$.matebook_woocommerce_mod = $.matebook_woocommerce_mod || {};

	/*	Product Thumbs Carousel
	/* --------------------------------------------- */

	$.matebook_woocommerce_mod.thumbs_carousel = function() {

		if ( $('.flex-control-nav').length ) {

			var $thumbs_carousel = $('.flex-control-nav'),
				$items = $('.woocommerce-product-gallery__image');

			if ( $items && $items.length > 3 ) {
				$thumbs_carousel.owlCarousel({
					items : 3,
					navSpeed : 800,
					nav: true,
					margin: 7,
					dots: false,
					loop: false,
					rtl: MadFrontend.RTL ? true : false,
					navText:false,
					responsive : {
						0: {
							items: 2
						},
						481: {
							items: 3
						},
						767: {
							items: 3
						},
						1200: {
							items: 3
						}
					}
				});

			}

		}

	}

	/*	Qty
	 /* --------------------------------------------- */

	$.matebook_woocommerce_mod.qty = function() {

		$(document).on('click', '.qty-plus, .qty-minus', function (e) {

			e.preventDefault();

			// Get values
			var $qty = $(this).closest('.quantity').find('.input-text'),
				currentVal = parseFloat($qty.val()),
				max = parseFloat($qty.attr('max')),
				min = parseFloat($qty.attr('min')),
				step = $qty.attr('step');

			// Format values
			if (!currentVal || currentVal === '' || currentVal === 'NaN') currentVal = 0;
			if (max === '' || max === 'NaN') max = '';
			if (min === '' || min === 'NaN') min = 0;
			if (step === 'any' || step === '' || step === undefined || parseFloat(step) === 'NaN') step = 1;

			// Change the value
			if ($(this).is('.qty-plus')) {
				if (max && ( max == currentVal || currentVal > max )) {
					$qty.val(max);
				} else {
					$qty.val(currentVal + parseFloat(step));
				}
			} else {
				if (min && ( min == currentVal || currentVal < min )) {
					$qty.val(min);
				} else if (currentVal > 0) {
					$qty.val(currentVal - parseFloat(step));
				}
			}

			// Trigger change event
			$qty.trigger('change input');

			$( '.woocommerce-cart-form :input[name="update_cart"]' ).prop( 'disabled', false );

		});

	}

	/*	Cart
	/* --------------------------------------------- */

	$.matebook_woocommerce_mod.cart = function() {
		({
			init: function() {
				var base = this;

				base.support = {
					touchevents: Modernizr.touchevents,
					transitions: Modernizr.csstransitions
				};

				base.eventtype = base.support.touchevents ? 'touchstart' : 'click';
				base.listeners();
			},
			listeners: function() {
				var base = this;

				base.track_ajax_adding_to_cart();
				base.track_ajax_added_to_cart();
			},
			track_ajax_adding_to_cart: function() {

				$('body').on( 'adding_to_cart', function (e, $thisbutton, $data) {
					e.preventDefault();

					$thisbutton.block({
							message: null,
							overlayCSS: {
								backgroundSize: '16px 16px',
								borderRadius: 0,
								opacity: 0.6
							}
						}
					);

				});

			},
			track_ajax_added_to_cart: function() {
				$('body').on('added_to_cart', function (e, fragments, cart_hash, $thisbutton) {
					$thisbutton.unblock().hide();
				});

			}

		}.init());
	}



	/*	DOM READY
	/* --------------------------------------------- */

	$(window).load(function() {
		$.matebook_woocommerce_mod.thumbs_carousel();
	});

	$( '.woocommerce-product-gallery__wrapper .woocommerce-product-gallery__image:eq(0) .wp-post-image' ).on('load', function() {

		var $image = $( this );

		if ( $image ) {
			setTimeout( function() {
				var $viewport = $image.closest( '.flex-viewport' );

				if ( $viewport ) {
					$viewport.wrap( '<div class="product-gallery-wrap"></div>');
				}
			}, 100 );
		}
		
	})

	$(function () {

		$(document).on('click', '.zoomImg', function(e) {
			e.preventDefault();
			$('.woocommerce-product-gallery__trigger').trigger('click');
		});

		$.matebook_woocommerce_mod.cart();
		$.matebook_woocommerce_mod.qty();
	});

})(jQuery, window);

