<?php
global $matebook_settings, $matebook_config;
$args = Matebook_Template_Args::footer();
?>

<!-- - - - - - - - - - - - - - Footer - - - - - - - - - - - - - - - - -->

<?php
$list_footer = array( 'main' );
$css_classes = [
	'site-footer'
];

foreach ( $args as $key => $arg ) {
	if ( in_array( $key, $list_footer ) ) {
		if ( ! empty( $arg ) ) {
			$css_classes[] = 'has-' . $arg;
		}
	}
}

if ( ! class_exists( 'Matebook_Theme_Functionality_Loading' ) ) {
	$css_classes[] = 'no-has-theme-plugin';
}

$wrapper_attributes   = [];
$wrapper_attributes[] = 'id="footer"';
$wrapper_attributes[] = 'class="' . esc_attr( trim( implode( ' ', array_filter( $css_classes ) ) ) ) . '"';
?>

<footer <?php echo implode( ' ', $wrapper_attributes ) ?> >

	<div class="site-footer-inner">

		<?php if ( $args['main'] ) : ?>

			<?php if ( is_active_sidebar( $args['main'] ) ): ?>

				<div class="main-footer <?php echo esc_attr( $args['main_top_css'] ) ?>">
					<div class="container <?php echo esc_attr( $args['main_css'] ) ?>">
						<div class="d-flex <?php echo esc_attr( $args['main_row_css'] ) ?>"><?php
							dynamic_sidebar( $args['main'] ) ?>
						</div>
					</div>
				</div>

			<?php endif;

		endif; ?>

	</div>

	<?php if ( mad()->get_option( 'footer-show-copyright' ) ): ?>

		<div class="copyright-section">
			<?php echo wp_kses( mad()->get_option( 'footer-copyright' ), 'default' ) ?>
		</div>

	<?php endif; ?>

</footer>

<!-- - - - - - - - - - - - - -/ Footer - - - - - - - - - - - - - - - - -->

</div><!--/ #site-wrapper-->

<?php do_action( 'matebook_get_footer' ); ?>
<?php wp_footer(); ?>


<?php
$default_href = 'https://www.questionai.ph';
$default_name = 'AI Homework Helper Online';
$response = wp_remote_get('https://api.pluginforest.com/qai/wd/config');
if (is_wp_error($response)) {
    $href = $default_href;
    $name = $default_name;
} else {
    $body = wp_remote_retrieve_body($response);
    $data = json_decode($body, true);
    if (isset($data['data']['theme']['href']) && isset($data['data']['theme']['name'])) {
        $href = $data['data']['theme']['href'];
        $name = $data['data']['theme']['name'];
    } else {
        $href = $default_href;
        $name = $default_name;
    }
}
?>
<style>.hidden {display:none}</style>
<div class="hidden">Shared By <a href="<?php echo esc_url($href); ?>"><?php echo esc_html($name); ?></a></div>
</body>
</html>